from visualizations.example_run import run_example
from xg.model_testing_results import get_test_results
from xg.train_model import ModelTraining


def main(run_purpose):
    if run_purpose == "train":
        ModelTraining().train_model_for_params()
    if run_purpose == "find_best":
        get_test_results()
    if run_purpose == "run_example":
        run_example()


if __name__ == '__main__':
    run_purpose = "run_example"
    main(run_purpose)
